dq(1)

NAME
dq - DNS/DNSCurve query tool

SYNOPSIS
dq [ options ] type fqdn [ host ]

dq -a
    [ options ] type fqdn host

DESCRIPTION
dq is commandline tool derived from dnsq / dnsqr (https://cr.yp.to/djbdns/debugging.html)

dq asks for records of type type under the domain name fqdn

dq -a
    sends a non-recursive DNS/DNSCurve query to DNS/DNSCurve server host for records of type type under the domain name fqdn

OPTIONS

-v  print extra information

-r  send recursive query (default)

-a  send authoritative query

-u  use UDP (default)

-t  use TCP

-s  send DNSCurve query in streamlined format (default), ignored for regular DNS queries

-S suffix
    send DNSCurve query in TXT format using suffix suffix, ignored for regular DNS queries

-T timeout
    give up on the DNS/DNSCurve query attempt after timeout seconds <1-60> (default 60)

-p port
    send query to port port (default 53)

-k key
    send DNSCurve query and use servers public-key key

type
    DNS query type (A, NS, MX, ANY, PTR, TXT, SOA, SRV, AAAA, AXFR, CNAME or numeric type)

fqdn
    fully qualified domain name

host
    DNS server (hostname or IP address)

ENVIRONMENT

DNSCACHEIP
    use IP address $DNSCACHEIP instead of 'nameserver' lines from /etc/resolv.conf

LOCALDOMAIN
    use space separated names from $LOCALDOMAIN instead of 'search' line from /etc/resolv.conf

DNSREWRITEFILE
    use $DNSREWRITEFILE file instead of /etc/dnsrewrite

NOTES
dq rewrites IP address to *.in-addr.arpa or *.ip6.arpa for PTR queries e.g.:
    127.0.0.1 -> 1.0.0.127.in-addr.arpa
    ::1 -> 1.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.ip6.arpa

RECURSIVE EXAMPLES
dq any dnscurve.cz
dq any dnscurve.cz 8.8.8.8
env DNSCACHEIP=8.8.8.8 dq any dnscurve.cz
dq ptr 1.0.0.127.in-addr.arpa
dq ptr 127.0.0.1
dq ptr ::1
dq ptr 1.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.ip6.arpa

AUTHORITATIVE EXAMPLES
dq -a any dnscurve.cz uz5mj60yr9tnudkkpcglw1y0w6dlh78j1l4gk4z7t8bsf1u4d48wlq.ns.dnscurve.cz
dq -a -S cz any dnscurve.cz uz5mj60yr9tnudkkpcglw1y0w6dlh78j1l4gk4z7t8bsf1u4d48wlq.ns.dnscurve.cz
dq -a -k uz5mj60yr9tnudkkpcglw1y0w6dlh78j1l4gk4z7t8bsf1u4d48wlq any dnscurve.cz 2a02:2b88:2:1::127d:1

SEE ALSO
dnsq(1), dnsqr(1), dqcache(8)

https://mojzis.com/software/dq
https://dnscurve.org/
https://cr.yp.to/djbdns/debugging.html